高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
MAUserLocation Class Reference

`#include <MAUserLocation.h>`

Inheritance diagram for MAUserLocation:

## Properties
BOOL | updating
CLLocation * | location
CLHeading * | heading
Properties inherited from MAAnimatedAnnotation
CLLocationDirection | movingDirection
Properties inherited from MAPointAnnotation
CLLocationCoordinate2D | coordinate
BOOL | lockedToScreen
CGPoint | lockedScreenPoint
Properties inherited from MAShape
NSString * | title
| 标题 Title
NSString * | subtitle
| 副标题 Subtitle
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Instance Methods inherited from MAAnimatedAnnotation
(MAAnnotationMoveAnimation *) | - addMoveAnimationWithKeyCoordinates:count:withDuration:withName:completeCallback:
| 添加移动动画, 第一个添加的动画以当前coordinate为起始点，沿传入的coordinates点移动，否则以上一个动画终点为起始点. since 4.5.0 Add a movement animation, the first added animation starts from the current coordinate and moves along the passed coordinates, otherwise it starts from the endpoint of the previous animation. since 4.5.0
(MAAnnotationMoveAnimation *) | - addMoveAnimationWithKeyCoordinates:count:withDuration:withName:completeCallback:stepCallback:
| 添加移动动画, 第一个添加的动画以当前coordinate为起始点，沿传入的coordinates点移动，否则以上一个动画终点为起始点. since 5.4.0 Add a movement animation, the first added animation starts from the current coordinate and moves along the passed coordinates, otherwise it starts from the endpoint of the previous animation. since 5.4.0
(NSArray< MAAnnotationMoveAnimation * > *) | - allMoveAnimations
| 获取所有未完成的移动动画, 返回数组内为MAAnnotationMoveAnimation对象. since 4.5.0 Retrieve all unfinished move animations, returning an array of MAAnnotationMoveAnimation objects. since 4.5.0
(void) | - setNeedsStart
| 设置需要开始动画，自定义其他类型动画时需要调用. since 6.0.0 Settings require starting animation, which needs to be called when customizing other types of animations. since 6.0.0
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging
Instance Methods inherited from <MAAnimatableAnnotation>
(void) | - step:
| 动画帧更新回调接口，实现者可在内部做更新处理，如更新coordinate. （since 4.5.0） Animation frame update callback interface, implementers can perform update processing internally, such as updating coordinates. （since 4.5.0）
(BOOL) | - isAnimationFinished
| 动画是否已完成. 通过此方法判断是否需要将动画annotation移出渲染执行过程。（since 4.5.0） Whether the animation has been completed. This method is used to determine whether the animation annotation needs to be removed from the rendering execution process.（since 4.5.0）
(BOOL) | - shouldAnimationStart
| 动画是否可以开始. 通过此方法判断是否需要将动画annotation加入渲染过程，已经start且尚未finish的动画标注才会调用step方法。（since 6.0.0） Whether the animation can start. This method determines whether the animation annotation needs to be added to the rendering process. Only animations that have started but not yet finished will call the step method.（since 6.0.0）
(CLLocationDirection) | - rotateDegree
| 动画更新时调用此接口，获取annotationView的旋转角度，不实现默认为0. （since 4.5.0） This interface is called when the animation is updated to get the rotation angle of the annotationView. If not implemented, it defaults to 0. （since 4.5.0）
Protected Attributes inherited from MAShape
NSString * | _title
| 标题 Title
NSString * | _subtitle
| 副标题 Subtitle
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation

## Detailed Description

定位信息类 Location Information Category

## Property Documentation

## ◆ heading

- (CLHeading*) heading
| read nonatomic strong

heading信息 Heading information

## ◆ location

- (CLLocation*) location
| read nonatomic strong

位置信息，如果MAMapView的showsUserLocation为NO，或者尚未定位成功，则该值为nil Location information, if the showsUserLocation of MAMapView is NO, or the location has not been successfully determined, the value is nil

## ◆ updating

- (BOOL) updating
| read nonatomic assign

位置更新状态，如果正在更新位置信息，则该值为YES Location update status, if the location information is being updated, the value is YES

The documentation for this class was generated from the following file:

- MAUserLocation.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。